package com.backendsys.service.Ai.Aiivh;

import com.backendsys.entity.Ai.Aiivh.AiivhMakeBroadcastTask.AiivhMakeBroadcastTaskCallbackDTO;
import com.backendsys.entity.Ai.Aiivh.AiivhMakeBroadcastTask.AiivhMakeBroadcastTaskDTO;

import java.io.IOException;
import java.util.Map;

public interface AiivhMakeBroadcastTaskService {
    Map<String, Object> queryAiivhMakeBroadcastTaskList(Integer pageNum, Integer pageSize, AiivhMakeBroadcastTaskDTO aiivhMakeBroadcastTaskDTO);
    Map<String, Object> queryAiivhMakeBroadcastTaskDetail(AiivhMakeBroadcastTaskDTO aiivhMakeBroadcastTaskDTO);
    Map<String, Object> insertAiivhMakeBroadcastTask(AiivhMakeBroadcastTaskDTO aiivhMakeBroadcastTaskDTO) throws IOException;
    Map<String, Object> updateAiivhMakeBroadcastTask(AiivhMakeBroadcastTaskCallbackDTO aiivhMakeBroadcastTaskCallbackDTO);
    Map<String, Object> deleteAiivhMakeBroadcastTask(AiivhMakeBroadcastTaskDTO aiivhMakeBroadcastTaskDTO);
}
